const express = require('express');
const session = require('cookie-session');
const bodyParser= require('body-parser');

var urlEncodedParser = bodyParser.urlencoded();

var app = express();


app.use(session({secret: 'todoappsecret'}));

app.use(function(req,res,next){
    if(typeof(req.session.todoList) == 'undefined'){
        req.session.todoList = [];
    }
    next();
});


app.get('/todo' , function(req,res){
    res.render('todo.ejs', {todolist: req.session.todoList});
});

app.post('/todo/add', urlEncodedParser, function(req,res){
    if(req.body.newtodo != '') {
        req.session.todoList.push(req.body.newtodo)
    }
    res.redirect('/todo');
})

app.get('/todo/delete/:id', function(req,res){
    console.log('delete');
    if(req.params.id != ''){
        req.session.todoList.splice(req.params.id , 1);
    }
    res.redirect('/todo');
})

app.use(function(req,res){
    res.redirect('/todo');
});

app.listen(8080);







